Get user trade volume and fees, broken down by exchange
curl --request GET \
--url https://perps-api.vooi.io/broker-statistics/user-volume \
--header 'X-Broker-Key: <x-broker-key>'import requests
url = "https://perps-api.vooi.io/broker-statistics/user-volume"
headers = {"X-Broker-Key": "<x-broker-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Broker-Key': '<x-broker-key>'}};
fetch('https://perps-api.vooi.io/broker-statistics/user-volume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"exchanges": {
"fees": {
"aster": "<string>",
"binance": "<string>",
"bybit": "<string>",
"extended": "<string>",
"gate": "<string>",
"hyperliquid": "<string>",
"lighter": "<string>",
"mexc": "<string>",
"ondo": "<string>",
"robinhood": "<string>"
},
"volume": {
"aster": "<string>",
"binance": "<string>",
"bybit": "<string>",
"extended": "<string>",
"gate": "<string>",
"hyperliquid": "<string>",
"lighter": "<string>",
"mexc": "<string>",
"ondo": "<string>",
"robinhood": "<string>"
}
},
"totalVolume": "103000.00"
}Broker Statistics
Get user trade volume and fees, broken down by exchange
GET
/
broker-statistics
/
user-volume
Get user trade volume and fees, broken down by exchange
Headers
Broker API key
Query Parameters
Start of the period as unix timestamp in milliseconds (inclusive). Defaults to now - 30 days (1 day for hour resolution).
Required range:
x <= 9007199254740991Example:
1767225600000
Aggregation interval: day (UTC calendar day) or hour (UTC clock hour). from/to snap to interval boundaries. On series endpoints, items span one interval and hour limits the range to 7 days. Defaults to day.
Available options:
day, hour End of the period as unix timestamp in milliseconds (inclusive). Defaults to now.
Required range:
x <= 9007199254740991Example:
1769903999000
Count the whole exchange account volume instead of only the volume produced by orders created through this API.
User id to compute stats for.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$